Skip to main content
POST
/
auth
/
action
curl --request POST \ --url https://api.dfns.io/auth/action \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "challengeIdentifier": "eyJ0e...fQNA", "firstFactor": { "kind": "Fido2", "credentialAssertion": { "credId": "c1QEdgnPLJargwzy3cbYKny4Q18u0hr97unXsF3DiE8", "clientData": "eyJ0eXBlIjoid2ViYXV0aG4uZ2V0IiwiY2hhbGxlbmdlIjoiTVdNME1tWTVZVFEwTURSaU56ZGhOVEZoTnpZNU9EUXdOV0k1WlRRNFkyUmhPRFppTkRrM1pUWXpPVEU1T0dZeU1EY3haakJqWXprNE1tUTVZelkxTUEiLCJvcmlnaW4iOiJodHRwczovL2FwcC5kZm5zLm5pbmphIiwiY3Jvc3NPcmlnaW4iOmZhbHNlfQ", "authenticatorData": "WT-zFZUBbJHfBkmhzTlPf49LTn7asLeTQKhm_riCvFgFAAAAAA", "signature": "MEUCIQDJ8G9J1NTjdoKx0yloYw45bpn6fJhcqCoUGiZuOU1IAQIgAtPt7S8FHFYW9OMHh3S5FVAxk-lhli-2lX22bBNSDog", "userHandle": "dXMtMmJhMGgtbHZwMnEtOHYxODYwcGNqMWJoNWlyaQ" } } } '
{
  "userAction": "eyJ0eX...bzrQakA"
}

Authentication

✅ Organization User (CustomerEmployee)
✅ Delegated User (EndUser)
✅ Service Account

Required Permissions

No permission required.

Authorizations

Authorization
string
header
required

Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows

Body

application/json
challengeIdentifier
string
required

Temporary authentication token returned by the Create Challenge endpoint.

firstFactor
Fido2/Passkeys · object
required

First factor credential used to sign the challenge.

secondFactor
Fido2/Passkeys · object

Second factor credential used to authenticate a user.

Response

200 - application/json

Success

userAction
string
required
Last modified on April 9, 2026